ru.bitel.bgbilling.kernel.plugin.server.event

## Class PluginConfigModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.plugin.server.event.PluginConfigModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class PluginConfigModifiedEvent
      extends Event

  Событие обновление/создания конфига плагина. Используется внутри менеджера плагинов, чтобы сразу после изменения перечитать всё на всех приложениях, самому ловить скорее всего не нужно. Т.к. для плагинов рассылался в его обработчике onUpdateConfig раньше, потом и он был убран, т.к. всегда он сопровождался передёргиванием init/destroy потому вроде как был бессмысленным, потому теперь обновление конфига виртуально выглядит - это дестрой а потом инит с новым конфигом, это как раньше всё равно, только проще и надёжнее.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginConfigModifiedEvent()`
    `PluginConfigModifiedEvent(int pluginId, int userId)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginConfigModifiedEvent

          public PluginConfigModifiedEvent()

    - #### PluginConfigModifiedEvent

          public PluginConfigModifiedEvent(int pluginId,
                                           int userId)